package com.ysnows.base.view

import android.content.Context
import androidx.annotation.StringRes
import com.ysnows.base.base.BRepository

interface BaseView : RxBusView {
    fun context(): Context?
    fun repository(): BRepository?
    fun toast(msg: String?)
    fun toast(@StringRes msgID: Int)
    fun view(): BView?
}